Price Monitoring - Bug #1613

Search by section in ltem General details screen is not functioning correctly
08/15/2019 10:33 AM - Israa Naser

Status: Closed Start date: 08/15/2019
Priority: High Due date:
Assignee: Israa Naser % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Co-Workers: Israa Naser Actual Result: it's not retrieved and the search result
shows No items

Severity: Major Environment: QA
Category: Price monitoring module Transaction Number:
Sub-Category: ltem General Details - 000 O000000 | Browser: Firefox

goooo
Step_Description: URL:
Pre_Conditions: Test Case ID:
Expected Result: the item should be returned in the search

result with it's name as the defined item,

Description
Search by section in item General details screen is not functioning correctly

Steps to duplicate:

1- create new section called "test section"

2- create a new defined item and link it to the test section

3- link an item to the defined item

4- go to item General details screen and search fro the linked item by the section name created

the item should be returned in the search result with it's name as the defined item,
meanwhile it's not retrieved and the search result shows No items

Related issues:

Related to Task #1521: ltem General Details - 10000 0000 0000000 Closed 07/25/2019
Related to Bug #1731: When the user searches for an item that has no valuesii... Closed 09/02/2019
Copied from Bug #1612: Search by section in Price Comparison screen is not fu... Closed 08/15/2019
History

#1 - 08/15/2019 10:33 AM - Israa Naser

- Copied from Bug #1612: Search by section in Price Comparison screen is not functioning correctly added

#2 - 08/15/2019 10:33 AM - Israa Naser
- Related to Task #1521: Iltem General Details -00000 0000 0000000 added

#3 - 08/17/2019 04:06 PM - Abed Abuhalawa

- Status changed from Open to Feedback

- Assignee changed from Abed Abuhalawa to Israa Naser
its work fine

#4 - 08/31/2019 10:56 PM - Israa Naser

- Assignee changed from Israa Naser to Abed Abuhalawa

- Co-Workers Israa Naser added

09/07/2025
Abed could you please re-check this on,
searching by providers on this screen, actually searches for the COOP item barcode not the defined item barcode
so No data is retrieved

Also, when there is no results for the data searched by in a certain date, the fields are displayed empty
instead the No-data found message should be displayed

#5 - 09/01/2019 03:18 PM - Abed Abuhalawa
- Status changed from Feedback to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

done

#6 - 09/02/2019 12:55 PM - Israa Naser

- Related to Bug #1731: When the user searches for an item that has no values in the RAW data, the value fields are displayed caching the previous
values added

#7 - 09/02/2019 02:04 PM - Israa Naser
- Status changed from Fixed to Closed
- % Done changed from 0 to 100

- Browser Firefox added

Covered in SRS under
4.8 Use Cases

Tested and verified the following:

1- Defined item barcode > matching & not matching the mapped item

2- Different dates for the defined item entry > search with the date that has data values and date that has no values
3- Search by providers using dates that have data values and dates that don't

4- Search by sections using dates that have data values and dates that don't

5- Search for an empty defined item, empty section, empty providers don't show in the suggested list

#8 - 09/02/2019 02:06 PM - Israa Naser

and regarding the empty fields displayed in the section,
this has been moved to Bug #1731 linked in the related issues
http://mscjo.dynalias.com:8089/redmine/issues/1731
http://www.tcpdf.org

